gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecPointer

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for pointer properties.

Synopsis

- newtype ParamSpecPointer = ParamSpecPointer (ManagedPtr ParamSpecPointer)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecPointer o) => IsParamSpecPointer o
- toParamSpecPointer :: (MonadIO m, IsParamSpecPointer o) => o -> m ParamSpecPointer

# Exported types

newtype ParamSpecPointer Source #

Memory-managed wrapper type.

Constructors

ParamSpecPointer (ManagedPtr ParamSpecPointer) |

#### Instances

Instances details

Eq ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer Methods (==) :: ParamSpecPointer -> ParamSpecPointer -> Bool Source # (/=) :: ParamSpecPointer -> ParamSpecPointer -> Bool Source #
BoxedPtr ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer Methods boxedPtrCopy :: ParamSpecPointer -> IO ParamSpecPointer Source # boxedPtrFree :: ParamSpecPointer -> IO () Source #
ManagedPtrNewtype ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer Methods toManagedPtr :: ParamSpecPointer -> ManagedPtr ParamSpecPointer Source #
TypedObject ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer Methods glibType :: IO GType Source #
HasParentTypes ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer
type ParentTypes ParamSpecPointer Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer type ParentTypes ParamSpecPointer = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecPointer o) => IsParamSpecPointer o Source #

Type class for types which can be safely cast to `ParamSpecPointer`, for instance with `toParamSpecPointer`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecPointer o) => IsParamSpecPointer o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecPointer

toParamSpecPointer :: (MonadIO m, IsParamSpecPointer o) => o -> m ParamSpecPointer Source #

Cast to `ParamSpecPointer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.